%{?scl:%scl_package mcollective-logstash-audit}
%{!?scl:%global pkg_name %{name}}

Summary: Logstash audit plugin
Name: %{?scl_prefix}mcollective-logstash-audit
Version: 2.0.0
Release: 1%{?dist}
License: ASL 2.0
URL: https://github.com/puppetlabs/mcollective-logstash-audit
Vendor: Puppet Labs
Packager: P.Loubser <pieter.loubser@puppetlabs.com>
BuildRoot: %{_tmppath}/%{pkg_name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch: noarch
Group: System Tools
Source0: mcollective-logstash-audit-2.0.0.tgz
%{?scl:Requires: %{scl}-runtime}
Requires: %{?scl_prefix}mcollective-common >= 2.2.1

%description
Logstash audit plugin

%prep
%setup -n %{pkg_name}-%{version}

%build

%install
rm -rf %{buildroot}
%{__install} -d -m0755 %{buildroot}%{_libexecdir}/mcollective/mcollective/audit

%{__install} -m0644 usr/libexec/mcollective/mcollective/audit/logstash.ddl %{buildroot}%{_libexecdir}/mcollective/mcollective/audit/logstash.ddl
%{__install} -m0644 usr/libexec/mcollective/mcollective/audit/logstash.rb %{buildroot}%{_libexecdir}/mcollective/mcollective/audit/logstash.rb

%files
%defattr(-,root,root,-)
%{_libexecdir}/mcollective/mcollective/audit/logstash.ddl
%{_libexecdir}/mcollective/mcollective/audit/logstash.rb

%changelog
* Fri Mar 01 2013 P.Loubser <pieter.loubser@puppetlabs.com> - 2.0.0-1
- Built Package mcollective-logstash-audit
